/**********************************************************************
 * config_file.h                                          November 1999
 * Horms                                             horms@vergenet.net
 *
 * Read in a config and parse it into command line arguments,
 * return this as a dynamic array
 *
 * Released under the terms of the GNU GPL
 * 
 **********************************************************************/


#ifndef CONFIG_FILE_BERT
#define CONFIG_FILE_BERT

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <signal.h>
#include <perdition_adt.h>

#include "options.h"

#define MAX_LINE_LENGTH 4096

/* Flags for config_file_to_opt */
#define CONFIG_FILE_ERR (flag_t) 0x1    /*Log errors to stderr*/

void config_file_to_opt(const char *filename);
dynamic_array_t *config_file_read (const char *filename);
void config_file_reread_handler(int sig);

#endif
