/**********************************************************************
 * str.h                                                 September 1999
 * Horms                                             horms@vergenet.net
 *
 * Various string handling functions
 *
 * Licenced under the terms of the GNU GPL
 *
 **********************************************************************/

#ifndef STRBERT
#define STRBERT

#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <stdarg.h>
#include <unistd.h>
#include <sys/uio.h>

#include "log.h"
#include "perdition_types.h"

#define STR_NULL "(null)"

/*Flags for write_str */
#define WRITE_STR_NO_CLLF     0x1     /*Append a CLLF*/

int str_is_digit(const char *str);

char *strn_to_str(const char *string, const size_t n);

int write_str(const int fd, flag_t flag, int nostring, ...);

char *cat_str(int nostring, ...);

void str_free(char **string);

char *str_null_safe(char *string);

#endif
